package com.zivilon.cinder_loe.client.render.corrupt;

import com.zivilon.cinder_loe.entity.corrupt.CorruptDwarf;
import com.zivilon.cinder_loe.entity.corrupt.CorruptOrc;
import lotr.client.LOTRTextures;
import lotr.client.model.LOTRModelDwarf;
import lotr.client.model.LOTRModelOrc;
import lotr.client.render.entity.LOTRRandomSkins;
import lotr.client.render.entity.LOTRRenderBiped;
import lotr.client.render.entity.LOTRRenderDwarf;
import lotr.client.render.entity.LOTRRenderOrc;
import net.minecraft.client.model.ModelBiped;
import net.minecraft.entity.Entity;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.util.ResourceLocation;
import org.lwjgl.opengl.GL11;

public class RenderCorruptOrc extends LOTRRenderOrc {
    private static LOTRRandomSkins orcSkins;
    private static LOTRRandomSkins urukSkins;
    private static LOTRRandomSkins blackUrukSkins;
    private LOTRModelOrc eyesModel = new LOTRModelOrc(0.05f);

    public RenderCorruptOrc() {
        super();
        orcSkins = LOTRRandomSkins.loadSkinsList("cinder_loe:mob/corrupt/orc");
    }

    @Override
    protected void func_82421_b() {
        this.field_82423_g = new LOTRModelOrc(1.0f);
        this.field_82425_h = new LOTRModelOrc(0.5f);
    }

    @Override
    public ResourceLocation getEntityTexture(Entity entity) {
        CorruptOrc orc = (CorruptOrc)entity;
        return orcSkins.getRandomSkin(orc);
    }
}
